diff -uarN a/CMakeLists.txt b/CMakeLists.txt
--- a/CMakeLists.txt	2015-04-25 11:17:24.000000000 -0400
+++ b/CMakeLists.txt	2015-04-26 20:14:43.152014529 -0400
@@ -61,35 +61,36 @@
 # optional dependencies
 message(STATUS "checking for optional dependencies")
 
-pkg_check_modules(PULSEAUDIO QUIET libpulse)
-pkg_check_modules(JACK QUIET jack)
-pkg_check_modules(SOXR QUIET soxr)
 set(WITH_PULSEAUDIO TRUE CACHE STRING "enable PulseAudio support")
 set(WITH_JACK TRUE CACHE STRING "enable JACK Audio Connection Kit")
 
-if (PULSEAUDIO_FOUND AND WITH_PULSEAUDIO)
+if (WITH_PULSEAUDIO)
+    pkg_check_modules(PULSEAUDIO libpulse)
+    if (NOT PULSEAUDIO_FOUND)
+        message(FATAL_ERROR "PulseAudio requested but not found.")
+    endif()
     add_definitions(-DHAVE_PULSEAUDIO=1)
-    message(STATUS "  found libpulse, version ${PULSEAUDIO_VERSION} (optional)")
+    message(STATUS "  found libpulse, version ${PULSEAUDIO_VERSION}")
     list(APPEND REQ_LIBRARY_DIRS ${PULSEAUDIO_LIBRARY_DIRS})
     list(APPEND REQ_INCLUDE_DIRS ${PULSEAUDIO_INCLUDE_DIRS})
     list(APPEND REQ_LIBRARIES    ${PULSEAUDIO_LIBRARIES})
-else()
-    message(STATUS "  no libpulse found (optional)")
 endif()
 
-if (JACK_FOUND AND WITH_JACK)
-    message(STATUS "  found jack, version ${JACK_VERSION} (optional)")
-    if (SOXR_FOUND)
-        message(STATUS "  found soxr, version ${SOXR_VERSION}")
-        add_definitions(-DHAVE_JACK=1)
-        list(APPEND REQ_LIBRARY_DIRS "${JACK_LIBRARY_DIRS}" "${SOXR_LIBRARY_DIRS}")
-        list(APPEND REQ_INCLUDE_DIRS "${JACK_INCLUDE_DIRS}" "${SOXR_INCLUDE_DIRS}")
-        list(APPEND REQ_LIBRARIES    "${JACK_LIBRARIES}" "${SOXR_LIBRARIES}")
-    else()
-        message(STATUS "  no soxr found, JACK output disabled")
+if (WITH_JACK)
+    pkg_check_modules(JACK QUIET jack)
+    if (NOT JACK_FOUND)
+        message(FATAL_ERROR "JACK support requested but not found.")
+    endif()
+    pkg_check_modules(SOXR QUIET soxr)
+    if (NOT SOXR_FOUND)
+        message(FATAL_ERROR "SOXR libray not found but needed for JACK support.")
     endif()
-else()
-    message(STATUS "  no jack found (optional)")
+    message(STATUS "  found jack, version ${JACK_VERSION}")
+    message(STATUS "  found soxr, version ${SOXR_VERSION}")
+    add_definitions(-DHAVE_JACK=1)
+    list(APPEND REQ_LIBRARY_DIRS "${JACK_LIBRARY_DIRS}" "${SOXR_LIBRARY_DIRS}")
+    list(APPEND REQ_INCLUDE_DIRS "${JACK_INCLUDE_DIRS}" "${SOXR_INCLUDE_DIRS}")
+    list(APPEND REQ_LIBRARIES    "${JACK_LIBRARIES}" "${SOXR_LIBRARIES}")
 endif()
 
 list(APPEND REQ_LIBRARIES img-resources)
--- a/src/CMakeLists.txt	2015-12-20 08:38:33.000000000 -0500
+++ b/src/CMakeLists.txt	2015-12-26 20:45:07.000000000 -0500
@@ -5,7 +5,7 @@
 
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
 
-set(MOZPLUGIN_INSTALL_DIR "lib${LIB_SUFFIX}/mozilla/plugins/" CACHE STRING "plugin install directory")
+set(MOZPLUGIN_INSTALL_DIR "lib${LIB_SUFFIX}/nsbrowser/plugins/" CACHE STRING "plugin install directory")
 
 add_subdirectory(uri_parser)
 add_subdirectory(config_parser)
